List jobs
curl --request GET \
--url https://go-fetch.io/api/v1/jobs/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/jobs/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/jobs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 123,
"offset": 123,
"limit": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"environment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"scraper_type": "<string>",
"status": "pending",
"is_terminal": true,
"will_auto_retry": true,
"items_scraped": 123,
"output_dataset_url": "<string>",
"error_message": "<string>",
"error_code": "CANCELLED",
"error_description": "<string>",
"attempt_history": [
{
"attempt": 123,
"status": "<string>",
"error_message": "<string>",
"failed_at": "2023-11-07T05:31:56Z"
}
],
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"retry_count": 123,
"can_retry": true,
"partial_results_count": 123,
"last_progress_at": "2023-11-07T05:31:56Z",
"ad_hoc_webhooks": [
{
"url": "<string>",
"events": [
"<string>"
],
"signing_secret": "<string>"
}
],
"scraper_metadata": {},
"started_from": "2023-12-25",
"is_initial_crawl": true,
"price_per_1000_at_creation": "<string>",
"platform_prices_at_creation": "<unknown>",
"minimum_charge_at_creation": true,
"estimated_cost": "<string>",
"actual_cost": "<string>",
"credits_deducted": true,
"config": "<unknown>",
"max_retries": 123,
"can_resume": true
}
]
}Jobs
List jobs
Your organization’s jobs, newest first.
GET
/
api
/
v1
/
jobs
/
List jobs
curl --request GET \
--url https://go-fetch.io/api/v1/jobs/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://go-fetch.io/api/v1/jobs/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://go-fetch.io/api/v1/jobs/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"total": 123,
"offset": 123,
"limit": 123,
"count": 123,
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_name": "<string>",
"environment": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_name": "<string>",
"scraper_type": "<string>",
"status": "pending",
"is_terminal": true,
"will_auto_retry": true,
"items_scraped": 123,
"output_dataset_url": "<string>",
"error_message": "<string>",
"error_code": "CANCELLED",
"error_description": "<string>",
"attempt_history": [
{
"attempt": 123,
"status": "<string>",
"error_message": "<string>",
"failed_at": "2023-11-07T05:31:56Z"
}
],
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"retry_count": 123,
"can_retry": true,
"partial_results_count": 123,
"last_progress_at": "2023-11-07T05:31:56Z",
"ad_hoc_webhooks": [
{
"url": "<string>",
"events": [
"<string>"
],
"signing_secret": "<string>"
}
],
"scraper_metadata": {},
"started_from": "2023-12-25",
"is_initial_crawl": true,
"price_per_1000_at_creation": "<string>",
"platform_prices_at_creation": "<unknown>",
"minimum_charge_at_creation": true,
"estimated_cost": "<string>",
"actual_cost": "<string>",
"credits_deducted": true,
"config": "<unknown>",
"max_retries": 123,
"can_resume": true
}
]
}Authorizations
Query Parameters
An environment slug.
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
Available options:
facebook, facebook_posts, facebook_profile, google_serp, instagram, instagram_comments, instagram_posts, instagram_profile, tiktok, tiktok_comments, tiktok_profile, tiktok_search, youtube Available options:
cancelled, completed, failed, pending, running, timed_out